"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = require("vue");

var _antDesignVue = require("ant-design-vue");

require("ant-design-vue/dist/antd.min.css");

var _index = _interopRequireDefault(require("../index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

// eslint-disable-next-line @typescript-eslint/no-unused-vars
var _default2 = {
  setup: function setup() {
    var modelRef = (0, _vue.reactive)({
      name1: '',
      name2: '111',
      obj: {
        //嵌套数据
        test: []
      }
    });
    var rulesRef = (0, _vue.reactive)({
      name1: [{
        required: true,
        message: 'Please input Activity name'
      }, {
        min: 3,
        max: 5,
        message: 'Length should be 3 to 5',
        trigger: 'blur'
      }],
      name2: [{
        required: true,
        message: 'Please input name2'
      }],
      test: [{
        required: true,
        message: 'Please select',
        type: 'array'
      }]
    });

    var _useForm = (0, _index["default"])(modelRef, rulesRef),
        resetFields = _useForm.resetFields,
        validate = _useForm.validate,
        validateInfos = _useForm.validateInfos,
        mergeValidateInfo = _useForm.mergeValidateInfo;

    var _useForm2 = (0, _index["default"])(modelRef.obj, rulesRef),
        resetObjFields = _useForm2.resetFields,
        validateObj = _useForm2.validate,
        validateObjInfos = _useForm2.validateInfos;

    var handleClick = function handleClick(e) {
      e.preventDefault();
      Promise.all([validate(), validateObj()]).then(function () {
        console.log((0, _vue.toRaw)(modelRef));
      })["catch"](function (err) {
        console.log('error', err);
      });
    };

    var handleReset = function handleReset(e) {
      e.preventDefault();
      resetFields();
      resetObjFields();
    };

    return function () {
      return (0, _vue.createVNode)(_antDesignVue.Form, null, {
        "default": function _default() {
          return [(0, _vue.createVNode)(_antDesignVue.Form.Item, (0, _vue.mergeProps)(mergeValidateInfo(validateInfos.name1, validateInfos.name2), {
            "label": "Activity name1"
          }), {
            "default": function _default() {
              return [(0, _vue.createVNode)(_antDesignVue.Input, {
                'value': modelRef.name1,
                "onUpdate:value": function onUpdateValue($event) {
                  return modelRef.name1 = $event;
                },
                "onBlur": function onBlur() {
                  return validate('name1');
                }
              }, null)];
            }
          }), (0, _vue.createVNode)(_antDesignVue.Form.Item, (0, _vue.mergeProps)(validateInfos.name2, {
            "label": "Activity name2"
          }), {
            "default": function _default() {
              return [(0, _vue.createVNode)(_antDesignVue.Input, {
                'value': modelRef.name2,
                "onUpdate:value": function onUpdateValue($event) {
                  return modelRef.name2 = $event;
                }
              }, null)];
            }
          }), (0, _vue.createVNode)(_antDesignVue.Form.Item, (0, _vue.mergeProps)(validateObjInfos.test, {
            "label": "test"
          }), {
            "default": function _default() {
              return [(0, _vue.createVNode)(_antDesignVue.Select, {
                'value': modelRef.obj.test,
                "onUpdate:value": function onUpdateValue($event) {
                  return modelRef.obj.test = $event;
                },
                "mode": "multiple",
                "onBlur": console.log,
                "onFocus": console.log
              }, {
                "default": function _default() {
                  return [(0, _vue.createVNode)(_antDesignVue.Select.Option, {
                    "value": "china"
                  }, {
                    "default": function _default() {
                      return [(0, _vue.createVNode)("span", {
                        "role": "img",
                        "aria-label": "China"
                      }, [(0, _vue.createTextVNode)("\uD83C\uDDE8\uD83C\uDDF3")]), (0, _vue.createTextVNode)("China (\u4E2D\u56FD)")];
                    }
                  }), (0, _vue.createVNode)(_antDesignVue.Select.Option, {
                    "value": "usa"
                  }, {
                    "default": function _default() {
                      return [(0, _vue.createVNode)("span", {
                        "role": "img",
                        "aria-label": "USA"
                      }, [(0, _vue.createTextVNode)("\uD83C\uDDFA\uD83C\uDDF8")]), (0, _vue.createTextVNode)("USA (\u7F8E\u56FD)")];
                    }
                  })];
                }
              })];
            }
          }), (0, _vue.createVNode)("button", {
            "onClick": handleClick
          }, [(0, _vue.createTextVNode)("submit")]), (0, _vue.createVNode)("button", {
            "onClick": handleReset
          }, [(0, _vue.createTextVNode)("reset")])];
        }
      });
    };
  }
};
exports["default"] = _default2;